Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586446 - [abrt] crash in printing .odt with comments set to end of page after changing printer in document with use printer metrics set
[abrt] crash in printing .odt with comments set to end of page after changing...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openoffice.org (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
abrt_hash:b52c9f943852d7e580f71c61f0a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 11:30 EDT by Jay Turner
Modified: 2015-01-07 19:17 EST (History)
1 user (show)

See Also:
Fixed In Version: openoffice.org-3.2.0-12.4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-10 15:53:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.15 KB, text/plain)
2010-04-27 11:30 EDT, Jay Turner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 93818 None None None Never

  None (edit)
Description Jay Turner 2010-04-27 11:30:33 EDT
abrt 1.0.7 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/scalc.bin -calc eng-fy11-eso-hiring-v7.ods
component: openoffice.org
executable: /usr/lib64/openoffice.org3/program/scalc.bin
kernel: 2.6.32-20.el6.x86_64
package: openoffice.org-calc-1:3.2.0-12.2.el6
rating: 3
reason: Process /usr/lib64/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

How to reproduce
-----
1. Attempted to print a comment, including printing the comments at the end of the page.
2.
3.
Comment 1 Jay Turner 2010-04-27 11:30:35 EDT
Created attachment 409505 [details]
File: backtrace
Comment 3 Caolan McNamara 2010-04-27 11:42:12 EDT
Can I get a link to that .odt or get it attached here ?
Comment 4 RHEL Product and Program Management 2010-04-27 11:57:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Jay Turner 2010-04-27 13:33:29 EDT
And more clarification.  I was able to open and print this document from another x86_64 RHEL6 machine, so might be something odd with my laptop.  I'll send you the document (I'm not really interested in archiving it in Bugzilla :-))
Comment 6 Caolan McNamara 2010-04-27 15:13:43 EDT
reproducible, excellent
Comment 7 Caolan McNamara 2010-04-28 06:48:06 EDT
Aha. use printer metrics is on, postit uses printer device for layout, change printer->delete printer, postit points to dead device. I see no reason why the postit should need the printer output device rather than the default virtualone seeing as doesn't need to paint the postit onto paper

Note You need to log in before you can comment on or make changes to this bug.